// Holidays
var holidays = new Array();
// Usage:
// holidays['numberofday shortmonth'] = 'description';
// You can also use 'true' (without ') or '' (with '),
// that will result in no description.
// false in stead of true would make sure days aren't seen as holidays
// you could add all days... but that isn't neccesary ^_^
// don't forget to write ' as \'
// PS You don't need to do it in order, but I'd advice you to...
// FIXED HOLIDAYS
// always on the same date
holidays['1 Jan'] = '&#20803;&#26086; - New year\'s Day';
holidays['11 Feb'] = '&#24314;&#22269;&#35352;&#24565;&#26085; - National Foundation Day';
holidays['29 Apr'] = '&#12415;&#12393;&#12426;&#12398;&#26085; - Greenery Day';
holidays['3 May'] = '&#25010;&#27861;&#35352;&#24565;&#26085; - Constitution Memorial Day';
holidays['4 May'] = '&#22269;&#27665;&#12398;&#31069;&#26085; - national holiday';
holidays['5 May'] = '&#12371;&#12393;&#12418;&#12398;&#26085; - Children\'s Day';
holidays['3 Nov'] = '&#25991;&#21270;&#12398;&#26085; - National Culture Day';
holidays['23 Nov'] = '&#21220;&#21172;&#24863;&#35613;&#12398;&#26085; - Labor Thanksgiving Day';
holidays['23 Dec'] = '&#22825;&#30343;&#35477;&#29983;&#26085; - The Emperor\'s Birthday';
// MOVING HOLIDAYS
// are different every year
// I hope everything's here, else it takes a lot of work
// Thanks to Bo Johansson for this script
function setVarHolidays(theYear) {
  var testDate = 0;

// Coming-of-Age Day is the second Monday in January (i.e. Monday between 8-14 Jan)
  for(i = 8; i < 15; ++i) {
    testDate = new Date(i + ' Jan ' + theYear);
    if( testDate.getDay() == 1) {
//      holidays[(i + ' Jan')] = '&#25104;&#20154;&#12398;&#26085; - Coming-of-Age Day';
      holidays[(i + ' Jan ' + theYear)] = '&#25104;&#20154;&#12398;&#26085; - Coming-of-Age Day [' + testDate + ']';
    }
  }

// Marine Day is the third Monday in July (i.e. Monday between 15-21 Jul)
  for(i = 15; i < 22; ++i) {
    testDate = new Date(i + ' Jul ' + theYear);
    if( testDate.getDay() == 1) {
      holidays[(i + ' Jul')] = '&#28023;&#12398;&#26085; - Marine Day';
    }
  }

// Respect-for-the-Aged Day is the third Monday in September (i.e. Monday between 15-21 Sep)
  for(i = 15; i < 22; ++i) {
    testDate = new Date(i + ' Sep ' + theYear);
    if( testDate.getDay() == 1) {
      holidays[(i + ' Sep')] = '&#25964;&#32769;&#12398;&#26085; - Respect-for-the-Aged Day';
    }
  }

// Health-and-Sports Day is the second Monday in October (i.e. Monday between 8-14 Oct)
  for(i = 8; i < 15; ++i) {
    testDate = new Date(i + ' Oct ' + theYear);
    if( testDate.getDay() == 1) {
      holidays[(i + ' Oct')] = '&#20307;&#32946;&#12398;&#26085; - Health-and-Sports Day';
    }
  }


// Vernal Equinox Day is about 20 or 21 March
// (to be exact, it is decided by a Cabinet meeting based on an astronomy data)
//
// followings are NOT fixed date:
//   20 March - 2004, 2005,             2008, 2009
//   21 March -             2006, 2007,             2010
holidays['20 Mar'] = '&#26149;&#20998;&#12398;&#26085; - Vernal Equinox Day';

// Autumnal Equinox Day is about 22 or 23 September
// (to be exact, it is decided by a Cabinet meeting based on an astronomy data)
//
// followings are NOT fixed date:
//   22 September - 
//   23 September - 2004C2005C2006C2007C2008C2009C2010
holidays['23 Sep'] = '&#31179;&#20998;&#12398;&#26085; - Autumnal Equinox Day';


// When a public holiday falls on Sunday, the following Monday is an alternative holiday
// (but, this rule is not applied to 'national holiday')
  for( var DateMonth in holidays ){
    testDate = new Date(DateMonth + ' ' + theYear);
    if( (testDate.getDay() == 0) && (holidays[DateMonth] != '&#22269;&#27665;&#12398;&#31069;&#26085; - national holiday') ) {
      var arrayDateMonth = DateMonth.split(' ');
      holidays[ eval(arrayDateMonth[0]+'+1') + ' ' + arrayDateMonth[1] ] = '&#25391;&#26367;&#20241;&#26085; - alternative holiday';
    }
  }

}
// Long month names 
// longmonths is used for calendar titles. They don't have to be long, 
// just whatever you would like to display 
// ENGLISH longmonths array
var longmonths = new Array( 'January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December' );
//var longmonths = new Array( '&#30566;&#26376;', '&#22914;&#26376;', '&#24357;&#29983;', '&#21359;&#26376;', '&#30352;&#26376;', '&#27700;&#28961;&#26376;', '&#25991;&#26376;', '&#33865;&#26376;', '&#38263;&#26376;', '&#31070;&#28961;&#26376;', '&#38684;&#26376;', '&#24107;&#36208;' );

// the symbols to use at the top of the calendars
// ENGLISH day of week array
//var dow = new Array("Sun","Mon","Tue","Wed","Thu","Fri","Sat");
var dow = new Array("&#26085;","&#26376;","&#28779;","&#27700;","&#26408;","&#37329;","&#22303;");

// abbreviation of week
//var week_ab = 'Wk';
var week_ab = '&#36913;';

// Date format
// Most used is the "dd month" format, however some languages use the "month dd" format.
// Also your personal preference could be "month dd". Whatever's the case, it's easily
// customizable here...
function date_format(cmdate,longmonth) {
//  var format = cmdate + ' ' + longmonth;
  var format = longmonth + ' ' + cmdate;
  return format;
}
// Weekend format
// 0=sunday, 6=saturday, works self explanatory...
function weekend_format(mDate) {
  return ( ( 0 == mDate.getDay() )  ||  ( 6 == mDate.getDay() ) );
}
// Close window in popupwindows
var close_window = 'Close window';